#ifndef INFORMATION_H
#define INFORMATION_H

#include <QWidget>
#include <QVBoxLayout>
#include "perhour.h"
#include "weekweather.h"
#include "lifestyle.h"
#include "global/corevar.h"
#include <QDebug>
#include <QLabel>

class information : public QWidget
{
    Q_OBJECT
public:
    explicit information(QWidget *parent = nullptr);


private:
    QVBoxLayout *m_informationLayout;
    perhour *m_perhour = nullptr;
    weekweather *m_weekweather = nullptr;
    lifestyle *m_lifestyle = nullptr;
    void initLayout();
    void initQss();
    void initConnect();
    void resizeEvent(QResizeEvent *event);
    QLabel *m_hoursTipLabel = nullptr;
    QLabel *m_dayTipLabel = nullptr;
    QLabel *m_lifeTipLabel = nullptr;

signals:
    void getLifeStyleInfor(LifeStyle m_lifeStyle, int m_isFullScreen);
    void sendIsFullScreen(int isFullScreen);
    void sendForcastInfor(ForecastWeather m_forecastWeather, int m_isFullScreen);
    void sendHourlyInfor(QList<Hourly> tmp_list, int m_isFullScreen); // 逐小时信息
    void weekWeatherIcon(int isFullScreen);
};

#endif // INFORMATION_H
